"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.migrateActivationsCount = exports.getActivationSummaryByPreinstalledOrigin = exports.getActivationSummary = void 0;
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const timestamp_2 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const rest_modules_2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixAutomationsActivationLogsV1ActivationSummariesServiceUrl(opts) {
    const domainToMappings = {
        'bo._base_domain_': [
            {
                srcPath: '/activation-logs',
                destPath: '',
            },
        ],
        'wixbo.ai': [
            {
                srcPath: '/activation-logs',
                destPath: '',
            },
        ],
        'wix-bo.com': [
            {
                srcPath: '/activation-logs',
                destPath: '',
            },
        ],
        'api._api_base_domain_': [
            {
                srcPath: '/activation-logs',
                destPath: '',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/activation-logs',
                destPath: '',
            },
            {
                srcPath: '/_api/activation-logs',
                destPath: '/api',
            },
        ],
    };
    return (0, rest_modules_2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/auto_sdk_automations-activation-summary_activation-action-summary';
/** Get activation summary by automation id */
function getActivationSummary(payload) {
    function __getActivationSummary({ host }) {
        const metadata = {
            entityFqdn: 'wix.automations.activation_logs.v1.activation_summary',
            method: 'GET',
            methodFqn: 'wix.automations.activation_logs.v1.ActivationSummariesService.GetActivationSummary',
            packageName: PACKAGE_NAME,
            url: resolveWixAutomationsActivationLogsV1ActivationSummariesServiceUrl({
                protoPath: '/v2/activation-summaries/{automationId}',
                data: payload,
                host,
            }),
            params: (0, rest_modules_1.toURLSearchParams)(payload),
            transformResponse: (payload) => (0, transform_paths_1.transformPaths)(payload, [
                {
                    transformFn: timestamp_2.transformRESTTimestampToSDKTimestamp,
                    paths: [
                        { path: 'activationSummary.lastActivatedDate' },
                        { path: 'activationSummary.migratedLastActivatedDate' },
                    ],
                },
            ]),
        };
        return metadata;
    }
    return __getActivationSummary;
}
exports.getActivationSummary = getActivationSummary;
function getActivationSummaryByPreinstalledOrigin(payload) {
    function __getActivationSummaryByPreinstalledOrigin({ host }) {
        const metadata = {
            entityFqdn: 'wix.automations.activation_logs.v1.activation_summary',
            method: 'GET',
            methodFqn: 'wix.automations.activation_logs.v1.ActivationSummariesService.GetActivationSummaryByPreinstalledOrigin',
            packageName: PACKAGE_NAME,
            url: resolveWixAutomationsActivationLogsV1ActivationSummariesServiceUrl({
                protoPath: '/v2/activation-summaries/preinstalled/{appId}/{componentId}',
                data: payload,
                host,
            }),
            params: (0, rest_modules_1.toURLSearchParams)(payload),
            transformResponse: (payload) => (0, transform_paths_1.transformPaths)(payload, [
                {
                    transformFn: timestamp_2.transformRESTTimestampToSDKTimestamp,
                    paths: [
                        { path: 'activationSummary.lastActivatedDate' },
                        { path: 'activationSummary.migratedLastActivatedDate' },
                    ],
                },
            ]),
        };
        return metadata;
    }
    return __getActivationSummaryByPreinstalledOrigin;
}
exports.getActivationSummaryByPreinstalledOrigin = getActivationSummaryByPreinstalledOrigin;
/** migrate activations count */
function migrateActivationsCount(payload) {
    function __migrateActivationsCount({ host }) {
        const serializedData = (0, transform_paths_1.transformPaths)(payload, [
            {
                transformFn: timestamp_1.transformSDKTimestampToRESTTimestamp,
                paths: [{ path: 'lastActivatedDate' }],
            },
        ]);
        const metadata = {
            entityFqdn: 'wix.automations.activation_logs.v1.activation_summary',
            method: 'POST',
            methodFqn: 'wix.automations.activation_logs.v1.ActivationSummariesService.MigrateActivationsCount',
            packageName: PACKAGE_NAME,
            url: resolveWixAutomationsActivationLogsV1ActivationSummariesServiceUrl({
                protoPath: '/v1/migration-rules/migrate',
                data: serializedData,
                host,
            }),
            data: serializedData,
        };
        return metadata;
    }
    return __migrateActivationsCount;
}
exports.migrateActivationsCount = migrateActivationsCount;
//# sourceMappingURL=automations-activation-logs-v1-activation-summary-activation-action-summary.http.js.map