import { HttpClient } from '@wix/sdk-types';
import { ActivationSummary, ActivationSummaryNonNullableFields, GetActivationSummaryByPreinstalledOriginIdentifiers, GetActivationSummaryByPreinstalledOriginResponse, GetActivationSummaryByPreinstalledOriginResponseNonNullableFields, MigrateActivationsCountOptions } from './automations-activation-logs-v1-activation-summary-activation-action-summary.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function getActivationSummary(httpClient: HttpClient): GetActivationSummarySignature;
interface GetActivationSummarySignature {
    /**
     * Get activation summary by automation id
     * @param - Automation ID
     * @returns Activation summary per automation
     */
    (automationId: string): Promise<ActivationSummary & ActivationSummaryNonNullableFields>;
}
export declare function getActivationSummaryByPreinstalledOrigin(httpClient: HttpClient): GetActivationSummaryByPreinstalledOriginSignature;
interface GetActivationSummaryByPreinstalledOriginSignature {
    /** */
    (identifiers: GetActivationSummaryByPreinstalledOriginIdentifiers): Promise<GetActivationSummaryByPreinstalledOriginResponse & GetActivationSummaryByPreinstalledOriginResponseNonNullableFields>;
}
export declare function migrateActivationsCount(httpClient: HttpClient): MigrateActivationsCountSignature;
interface MigrateActivationsCountSignature {
    /**
     * migrate activations count
     * @param - MetaSite ID
     */
    (metaSiteId: string, options?: MigrateActivationsCountOptions | undefined): Promise<void>;
}
export { ActivationSummary, ActivationSummaryNonNullableFields, GetActivationSummaryByPreinstalledOriginIdentifiers, GetActivationSummaryByPreinstalledOriginRequest, GetActivationSummaryByPreinstalledOriginResponse, GetActivationSummaryByPreinstalledOriginResponseNonNullableFields, GetActivationSummaryRequest, GetActivationSummaryResponse, GetActivationSummaryResponseNonNullableFields, MigrateActivationsCountOptions, MigrateActivationsCountRequest, MigrateActivationsCountResponse, PreinstalledOrigin, } from './automations-activation-logs-v1-activation-summary-activation-action-summary.universal.js';
